<div class="ui segment">
    <div class="ui secondary menu">
        <a class="item" routerLink="/" 
                        routerLinkActive="active"
                        [routerLinkActiveOptions]="{exact: true}">
            Store
        </a>
        <a class="item" routerLink="/user" 
                        routerLinkActive="active"
                        [routerLinkActiveOptions]="{exact: true}"
                        *ngIf="user">
            User profile
        </a>
        <a class="item" routerLink="/create-product" 
                        routerLinkActive="active"
                        [routerLinkActiveOptions]="{exact: true}"
                        *ngIf="user">
            Create product
        </a>
        
        <div class="right menu">
            <a class="item" [routerLink]="getLoginOrLogoutRouterLink()" 
                            routerLinkActive="active">
                {{ getLoginOrLogoutString() }}
            </a>
        </div>
    </div>
</div>
